events.listen('recipes', function (event) {
    
    event.shaped(item.of('xnet:controller'), [
    'ABA',
    'FCF',
    'DED'
  ], {
    A: 'minecraft:repeater',
    B: 'minecraft:comparator',
    C: 'thermal:machine_frame',
    D: '#forge:ingots/steel',
    E: '#forge:ingots/electrum',
    F: 'immersiveengineering:wirecoil_redstone'
  })
})